/**
 * Default IdGenerator that creates uuids
 */
export declare abstract class IdGenerator {
    /**
     * Generates an id
     * @param {string} type The type for which we need to generate an ID. E.g. 'Event', 'Command', etc
     */
    abstract generate(type?: string): string;
}
export declare class UUIDGenerator extends IdGenerator {
    generate(type: string): string;
}
