import { Command } from './Command';
export declare class CommandResult {
    replyObject: Object;
    subCommandResults: Array<CommandResult>;
    newAggregateType: string;
    newAggregateId: string;
    commandType: string;
    commandId: string;
    constructor(command: Command);
    getCommandId(): string;
    getNewAggregateId(): string;
    getNewAggregateType(): string;
    setNewAggregate(newAggregateType: string, newAggregateId: string): void;
    hasNewAggregateId(): boolean;
    getSubCommandResults(): Array<CommandResult>;
    hasSubCommands(): boolean;
    /**
     * @param {CommandResult} commandResult
     */
    addSubcommandResult(commandResult: CommandResult): void;
    setReplyObject(replyObject: Object): void;
    getReplyObject(): Object;
}
