import { Aggregate } from '../Aggregate';
export declare abstract class EventExecutor<E, A extends Aggregate> {
    static getEventExecutor(event: any, eventExecutors: EventExecutor<any, any>[]): EventExecutor<any, any>;
    aggregateIdProperty: string;
    aggregateType: string;
    aggregateCreating: boolean;
    constructor(aggregateCreating?: boolean, aggregateIdProperty?: string, aggregateType?: string);
    abstract canExecute(event: any): boolean;
    abstract apply(event: E, aggregate: A): any;
    isAggregateCreating(): boolean;
    getAggregateType(): string;
    getAggregateId(event: E): string;
}
