import { Auth } from '../Auth';
export interface AuthServiceOptions {
    publicKeys?: Map<string, string>;
}
export declare class AuthService {
    publicKeys: Map<string, string>;
    constructor(options: AuthServiceOptions);
    registerPublicKey(keyId: string, publicKeyPem: string): void;
    removePublicKey(keyId: any): void;
    /**
     * Validates a signed Auth
     * @param {string} signed the signed auth to validate
     */
    validate(signed: string): Auth;
}
