import * as jwt from 'jsonwebtoken';
import { AuthService } from './AuthService';
export declare class SigningAuthService extends AuthService {
    tokenOptions: jwt.SignOptions;
    privateKeyPem: string;
    constructor(options: any);
    /**
     * Signs an Auth object
     * @param {Auth} auth The authorisation to convert into a signed token
     */
    sign(auth: any): string;
}
