"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const uuid = require("uuid");
/**
 * Default IdGenerator that creates uuids
 */
class IdGenerator {
}
exports.IdGenerator = IdGenerator;
class UUIDGenerator extends IdGenerator {
    // tslint:disable-next-line:prefer-function-over-method
    generate(type) {
        return `${uuid.v1()}:${type}`;
    }
}
exports.UUIDGenerator = UUIDGenerator;
//# sourceMappingURL=IdGenerator.js.map