"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const AggregateCommand_1 = require("./AggregateCommand");
class AggregateCreatingCommand extends AggregateCommand_1.AggregateCommand {
    /**
     *
     * @param {object} obj The object to take parameters from
     * @param {Auth} issuerAuth The Auth object of the issuer of this command
     * @param {[string]} commandId The id for this command. If not specified, the IdGenerator will be called to generate one
     * @param {string} aggregateId The id of the aggregate this command acts upon
     * @param {string} aggregateType The type of aggregate this command will create
     */
    constructor(obj = {}) {
        super(obj);
        this.aggregateType = obj.aggregateType;
    }
    getAggregateType() {
        return this.aggregateType;
    }
}
exports.AggregateCreatingCommand = AggregateCreatingCommand;
//# sourceMappingURL=AggregateCreatingCommand.js.map