import { Plugin, InceptumApp, BaseSingletonDefinition } from 'inceptum';
import { CQRS } from '../CQRS';
import { SwaggerCQRSMiddleware } from './SwaggerCQRSMiddleware';
export declare class WireCQRSPlugin {
    cqrs: CQRS;
    middleware: SwaggerCQRSMiddleware;
    wire(): void;
}
export declare class CQRSPlugin implements Plugin {
    configurator: (singletonDefinition: BaseSingletonDefinition<CQRS>) => void;
    name: string;
    constructor(cqrsDefinitionConfigurator?: (singletonDefinition: BaseSingletonDefinition<CQRS>) => void);
    willStart(app: InceptumApp, pluginContext?: Map<String, any>): Promise<void>;
    didStart(app: InceptumApp, pluginContext?: Map<String, any>): Promise<void>;
}
