import { CQRS } from '../CQRS';
export declare class SwaggerCQRSMiddleware {
    handlerCache: Map<any, any>;
    cqrs: CQRS;
    /**
     *
     * @param {CQRS} cqrs
     */
    constructor();
    setCQRS(cqrs: CQRS): void;
    /**
     * @private
     * @param req
     * @returns {boolean}
     */
    hasCQRSCommand(req: any): boolean;
    hasCQRSGet(req: any): boolean;
    /**
     * @private
     * @param req
     * @returns {*}
     */
    getCQRSCommand(req: any): any;
    getCQRSGet(req: any): any;
    register(expressApp: any): void;
    /**
     * @private
     * @param req
     * @returns {Request}
     */
    handleCQRSCommand(req: any, res: any): Promise<void>;
    /**
     * @private
     * @param req
     * @returns {Request}
     */
    handleCQRSGet(req: any, res: any): Promise<void>;
    /**
     * @private
     * @param req
     * @param res
     * @param commandName
     * @param paramName
     * @returns {*}
     */
    handleCQRSGetWithName(req: any, res: any, aggregateName: any, paramName: any): Promise<void>;
    /**
     * @private
     * @param req
     * @param res
     * @param commandName
     * @param bodyParamName
     * @returns {*}
     */
    handleCQRSCommandWithName(req: any, res: any, commandName: any, bodyParamName: any): Promise<void>;
    /**
     * @private
     * @param req
     * @param bodyParamName
     * @returns {*}
     */
    getPayload(req: any, bodyParamName: any): any;
}
